Skip to navigation

Retrieve course lesson interaction

Retrieves the details of an existing course lesson interaction.

Required permissions:

  • courses:read
  • course_analytics:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Path parameters

idstringRequired
The unique identifier of the lesson interaction to retrieve.

Response

A successful response
completedboolean
Whether the user has finished this lesson.
courseobject
The course that contains the tracked lesson.
created_atdatetime
The datetime the lesson interaction was created.
idstring
The unique identifier for the lesson interaction.
lessonobject
The lesson that this progress record belongs to.
userobject
The user whose progress is being tracked.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error